//----------Author's Name:F.X. Gentit  DAPNIA/SPP CEN Saclay
//----------Copyright:Those valid for CEA sofware
//----------Modified:09/2/2006
#include "Riostream.h"
#include "TF1.h"
#include "TMuster.h"

ClassImp(TMuster)
//______________________________________________________________________________
//
// TMuster  Almost empty class showing how to build a class for ROOT
//
TMuster::TMuster(Double_t content,Double_t mean, Double_t sigma) {
//normal constructor
  TF1 *f;
  fC     = content;
  fMean  = mean;
  fSigma = sigma;
  fH     = new TH1F("fH","fH",100,-10.,10.);
  f = new TF1("gg","gaus",-10.,10.);
  f->SetParameters(content,mean,sigma);
  fH->FillRandom("gg",10000);

  cout << content << endl;
  cout << mean << endl;
  cout << sigma << endl;

  f->Draw();		// works
  //fH->Draw();		// does not work.

  //delete f;
}
TMuster::~TMuster() {
//destructor
  if (fH) {
    delete fH;
    fH = 0;
  }
}
void TMuster::Show() {
  fH->Draw();
}
