#ifndef LIT_TMuster
#define LIT_TMuster
//////////////////////////////////////////////////////////////////////////
//                                                                      //
// TMuster  Almost empty class showing how to build a class for ROOT    //
//                                                                      //
//////////////////////////////////////////////////////////////////////////
#include "TH1.h"

class TMuster : public TObject {

protected:

  Double_t fC;     //content
  Double_t fMean;  //mean of gaussian distribution
  Double_t fSigma; //RMS  of gaussian distribution
  TH1F     *fH;    //histogram of gaussian distribution

public:

//Default constructor
  TMuster() { fH=0; }
  TMuster(Double_t, Double_t=50.0,  Double_t=10.0);
  ~TMuster();
  void Show();
  ClassDef(TMuster,0) //Small class showing the building of a class for ROOT // chg to 0 WJL
};
#endif
